#!/bin/sh


MIN=$1
MAX=$2
AVG=$3
NRAY=$4
PERIOD=$5
S2=$6
M2=$7
FILE=$8
ID=$9
VEL=`echo ${AVG} | awk '{printf "%.4f",$1}' `

echo map.sh ${MIN} ${MAX} ${AVG}

#####
#    create a polar cps map
#####

makecpt -Cpolar -T-11/11/1 > mypolar.cpt


#####
#   make a file of
#   Longitude Latitude Percentage
#####
cat > awkit << EOF
{
if(\$4 > -10.0){frac = 100.0*(\$3 - ${AVG})/${AVG} ; if (frac < -10.0)frac = -10.0; if (frac > 10.00) frac = 10.0; printf "%.4f %.4f %.1f 0.2 \n", \$1, \$2, -frac }
}
EOF
cat ${FILE} | awk -f awkit > pct

PROJ2="-R0/10.5/0/11/ -Jx3 -P -V"
#
PROJ="-R-170/-120/55/72 -Jc215/68/0.70 -P -V"
#
#
rm -f RUspk.eps
# for GMT4
gmtset BASEMAP_TYPE FANCY OUTPUT_DEGREE_FORMAT -D PLOT_DEGREE_FORMAT ddd.xx MEASURE_UNIT cm  PAPER_MEDIA ledger+

pscoast   ${PROJ}  -B10/5 -W -K -Na -Dh  -K -G240   >> RUspk.eps
psxy ./pct -Sc -Cmypolar.cpt  -: $PROJ -W0.01p -O  -K >> RUspk.eps
pscoast   ${PROJ}  -B10/5 -W -K -Na -Dh -O -K   >> RUspk.eps

#####
#   plot a scale
#####

pstext  ${PROJ2}  -O    -K >> RUspk.eps << EOF
7.42 2.7 12 0.0 5 TC  %
EOF
psscale -O   -Cmypolar.cpt -B5::   -D22.0c/6.0c/3.0c/0.5c >> RUspk.eps



